declare module 'http2-client' {
  import http from 'node:http'
  import http2 from 'node:http2'
  // TODO: check typing: impl sends `ClientHttp2Stream` instance, but the object
  // contains props of `IncomingMessage` (HttpRequestManager.httpCompatibleResponse)
  export type ServerResponse = http2.ClientHttp2Stream & http.IncomingMessage
  export function request(options: http.RequestOptions, cb: (res: ServerResponse) => void): http.ClientRequest
}
